=== modified file 'Makefile.am'
--- Makefile.am	2010-02-11 15:24:00 +0000
+++ Makefile.am	2010-02-12 12:29:17 +0000
@@ -1,4 +1,4 @@
-SUBDIRS = data libunity unity-places src mutter-plugin tests tools vapi
+SUBDIRS = data libunity unity-places src mutter-plugin tests tools vapi po
 
 # Test reports
 .PHONY: check-report

=== modified file 'configure.ac'
--- configure.ac	2010-02-11 15:24:00 +0000
+++ configure.ac	2010-02-12 12:29:17 +0000
@@ -11,15 +11,13 @@
 m4_define([unity_binary_age],
           [m4_eval(100 * unity_minor + unity_micro)])
 
-AC_INIT([unity],
-        [unity_version],
-        [https://launchpad.net/unity])
+AC_INIT([unity],[unity_version],[https://launchpad.net/unity])
 AC_COPYRIGHT([Copyright 2009 Canonical])
 m4_ifdef([AM_SILENT_RULES],[AM_SILENT_RULES([yes])])
 
-AC_PREREQ(2.59)
+AC_PREREQ(2.65)
 
-AM_CONFIG_HEADER(config.h)
+AC_CONFIG_HEADERS([config.h])
 AM_INIT_AUTOMAKE(unity, unity_version)
 
 dnl Get version number into Autoconf
@@ -38,17 +36,35 @@
 AS_IF([test -z "$VALAC"], [AC_MSG_ERROR(["No valac compiler found."])])
 AC_PROG_CC
 AM_PROG_CC_C_O
-AC_STDC_HEADERS
+AC_HEADER_STDC
 
-AC_PROG_LIBTOOL
+LT_INIT
 AC_CONFIG_MACRO_DIR([m4])
 
+dnl Gettext
+GETTEXT_PACKAGE="$PACKAGE"
+AC_SUBST(GETTEXT_PACKAGE)
+AC_SUBST([CONFIG_STATUS_DEPENDENCIES],['$(top_srcdir)/po/LINGUAS'])
+AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE, "$GETTEXT_PACKAGE", [gettext domain])
+AM_GNU_GETTEXT([external])
+AM_GNU_GETTEXT_VERSION([0.17])
+IT_PROG_INTLTOOL([0.35.0])
+
+dnl Setup a few consts
+if test "x${prefix}" = "xNONE"; then
+  PREFIX="${ac_default_prefix}"
+else
+  PREFIX="${prefix}"
+fi
+
+AC_DEFINE_UNQUOTED(LOCALE_DIR, "${PREFIX}/${DATADIRNAME}/locale",[Locale directory])
+AC_DEFINE_UNQUOTED(PKGDATADIR, "${PREFIX}/${DATADIRNAME}/${PACKAGE}", [Package data directory])
+
 dnl Use strict compiler flags only on development releases
 m4_define([maintainer_flags_default],
           [m4_if(m4_eval(unity_minor % 2), [1], [yes], [no])])
 AC_ARG_ENABLE([maintainer-flags],
-              [AC_HELP_STRING([--enable-maintainer-flags=@<:@no/yes@:>:],
-                              [Use string compiler flags @<:@default=no@:>@])],
+              [AS_HELP_STRING([--enable-maintainer-flags=@<:@no/yes@:>:],[Use string compiler flags @<:@default=no@:>@])],
               [],
               [enable_maintainer_flags=maintainer_flags_default])
 MAINTAINER_CFLAGS=""
@@ -109,8 +125,7 @@
 
 dnl Mutter support
 AC_ARG_ENABLE([mutter],
-              [AC_HELP_STRING([--enable-mutter=@<:@no/yes@:>@],
-                              [Enable compiling mutter plugin.])],
+              [AS_HELP_STRING([--enable-mutter=@<:@no/yes@:>@],[Enable compiling mutter plugin.])],
               [enable_mutter=$enableval],
               [enable_mutter=yes])
 AS_IF([test "x$enable_mutter" = "xyes"],
@@ -133,7 +148,7 @@
 AC_SUBST(INDICATORICONSDIR)
 
 dnl Create the Makefiles
-AC_OUTPUT([
+AC_CONFIG_FILES([
   Makefile
   data/Makefile
   libunity/Makefile
@@ -144,7 +159,9 @@
   tests/Makefile
   tools/Makefile
   vapi/Makefile
+  po/Makefile.in
 ])
+AC_OUTPUT
 
 dnl Output the results
 AC_MSG_NOTICE([

=== added directory 'po'
=== added file 'po/LINGUAS'
=== added file 'po/POTFILES.in'
--- po/POTFILES.in	1970-01-01 00:00:00 +0000
+++ po/POTFILES.in	2010-02-12 12:29:17 +0000
@@ -0,0 +1,2 @@
+[encoding: UTF-8]
+src/quicklauncher/application-model.vala

=== added file 'po/POTFILES.skip'
--- po/POTFILES.skip	1970-01-01 00:00:00 +0000
+++ po/POTFILES.skip	2010-02-12 12:29:17 +0000
@@ -0,0 +1,1 @@
+src/quicklauncher/application-model.c

=== added file 'po/unity.pot'
--- po/unity.pot	1970-01-01 00:00:00 +0000
+++ po/unity.pot	2010-02-12 12:29:17 +0000
@@ -0,0 +1,29 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-02-12 12:27+0000\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: ../src/quicklauncher/application-model.vala:89
+msgid "Remove from Launcher"
+msgstr ""
+
+#: ../src/quicklauncher/application-model.vala:93
+msgid "Keep In Launcher"
+msgstr ""
+
+#: ../src/quicklauncher/application-model.vala:333
+msgid "Open.."
+msgstr ""

=== modified file 'src/Makefile.am'
--- src/Makefile.am	2010-02-03 20:12:06 +0000
+++ src/Makefile.am	2010-02-12 12:29:17 +0000
@@ -24,6 +24,7 @@
   -DPKGDATADIR=\"$(PKGDATADIR)\" \
   -DINDICATORDIR=\""$(INDICATORDIR)"\" \
   -DINDICATORICONSDIR=\""$(INDICATORICONSDIR)"\" \
+  -DGETTEXT_PACKAGE=\"$(GETTEXT_PACKAGE)\" \
   $(BASE_CFLAGS) \
   $(MAINTAINER_CFLAGS) \
   -I$(top_srcdir)/libunity/ \
@@ -41,6 +42,7 @@
   --pkg clutk-0.3 \
   --pkg clutter-1.0 \
   --pkg clutter-gtk-0.10 \
+  --pkg config \
   --pkg dbus-glib-1 \
   --pkg cogl-1.0 \
   --pkg dbus-glib-1 \
@@ -134,6 +136,7 @@
 unity_CPPFLAGS = \
   $(BASE_CFLAGS) \
   $(MAINTAINER_CFLAGS) \
+  -DGETTEXT_PACKAGE=\"$(GETTEXT_PACKAGE)\" \
   -I$(top_srcdir)/libunity/
 
 unity_VALAFLAGS = \
@@ -146,6 +149,7 @@
   --pkg clutter-1.0 \
   --pkg clutter-gtk-0.10 \
   --pkg cogl-1.0 \
+  --pkg config \
   --pkg dbus-glib-1 \
   --pkg dbusmodel \
   --pkg gtk+-2.0 \

=== modified file 'src/main.vala'
--- src/main.vala	2010-02-10 12:07:03 +0000
+++ src/main.vala	2010-02-12 12:29:17 +0000
@@ -83,6 +83,11 @@
     Unity.Application    app;
     Unity.UnderlayWindow window;
     Unity.TimelineLogger.get_default(); // just inits the timer for logging
+
+    GLib.Intl.textdomain (Config.GETTEXT_PACKAGE);
+    GLib.Intl.bindtextdomain (Config.GETTEXT_PACKAGE, Config.LOCALE_DIR);
+    GLib.Intl.bind_textdomain_codeset (Config.GETTEXT_PACKAGE, "UTF-8");
+
     try
       {
         var opt_context = new OptionContext ("-- Unity");
@@ -100,8 +105,7 @@
 
     if (show_version)
       {
-        /* FIXME: Add VERSION define */
-        print ("\nUnity %s\n", "0.1.0");
+        print ("\nUnity %s\n", Config.VERSION);
         return 0;
       }
     // attempt to get a boot logging filename

=== modified file 'src/quicklauncher/application-model.vala'
--- src/quicklauncher/application-model.vala	2010-02-11 14:35:45 +0000
+++ src/quicklauncher/application-model.vala	2010-02-12 12:29:17 +0000
@@ -86,11 +86,11 @@
       get {
         if (this.app_model.is_sticky)
           {
-            return "Remove from Launcher";
+            return _("Remove from Launcher");
           }
         else
           {
-            return "Keep In Launcher";
+            return _("Keep In Launcher");
           }
       }
     }
@@ -188,7 +188,7 @@
       if (!this.is_sticky)
         {
           // we need something outside of this model to decide our priority
-          this._priority = -1000000.0f; 
+          this._priority = -1000000.0f;
           return;
         }
       // grab the current priority from gconf
@@ -204,12 +204,12 @@
         }
       this._priority = priority;
     }
-    
+
     private void on_app_running_changed ()
     {
       notify_active ();
     }
-    
+
     private void on_app_focus_changed ()
     {
       if (app.focused) {
@@ -217,7 +217,7 @@
       }
       notify_focused ();
     }
-    
+
     private void on_app_urgent_changed ()
     {
       this.urgent_changed ();
@@ -233,22 +233,22 @@
     {
       get { return this.app.running; }
     }
-    
+
     public bool is_focused
     {
       get { return this.app.focused; }
     }
-    
-    public bool is_urgent 
+
+    public bool is_urgent
     {
       get { return this.app.get_urgent (); }
     }
-    
+
     public Gdk.Pixbuf icon
     {
       get { return _icon; }
     }
-    
+
     public string name
     {
       get { return this.app.name; }
@@ -330,7 +330,7 @@
 
       var open_entry = new LibLauncherShortcut ();
       open_entry.app = this.app;
-      open_entry.name = "Open..";
+      open_entry.name = _("Open..");
       ret_list.add (open_entry);
 
       var pin_entry = new LauncherPinningShortcut (this);
@@ -369,7 +369,7 @@
     {
       this.app.close ();
     }
-    
+
     /**
      * gets the favorite uid for this desktop file
      */

=== modified file 'vapi/Makefile.am'
--- vapi/Makefile.am	2010-02-05 17:36:20 +0000
+++ vapi/Makefile.am	2010-02-12 12:29:17 +0000
@@ -1,8 +1,9 @@
 EXTRA_DIST = \
-	clutk-0.3.vapi \
-	clutter-1.0.vapi \
+  clutk-0.3.vapi \
+  clutter-1.0.vapi \
   clutter-1.0.deps \
   clutter-gtk-0.10.vapi \
+  config.vapi \
   dbusmodel.deps \
   dbusmodel.vapi \
   indicator.deps \

=== added file 'vapi/config.vapi'
--- vapi/config.vapi	1970-01-01 00:00:00 +0000
+++ vapi/config.vapi	2010-02-12 12:29:17 +0000
@@ -0,0 +1,28 @@
+/* -*- Mode: vala; indent-tabs-mode: nil; c-basic-offset: 2; tab-width: 2 -*- *//*
+ * Copyright (C) 2009 Canonical Ltd
+ *
+ * This program is free software: you can redistribute it and/or modify
+ * idst under the terms of the GNU General Public License version 3 as
+ * published by the Free Software Foundation.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authored by Neil Jagdish Patel <neil.patel@canonical.com>
+ *
+ */
+
+[CCode (cprefix = "", lower_case_cprefix = "", cheader_filename = "config.h")]
+namespace Config
+{
+  public const string DATADIR;
+  public const string PKGDATADIR;
+  public const string GETTEXT_PACKAGE;
+  public const string LOCALE_DIR;
+  public const string VERSION;
+}

